Subject: Re: xfig and FvwmPager

From: Dominik Vogt <[email-masked]>
Date: Mon, 3 Jan 2000 17:17:41 +0100

On Sun, Jan 02, 2000 at 07:36:05AM -0600, [email-masked] wrote:
> Hello,
> 
> I still can't get xfig and its transients to appear within my page.
> When I do manage to and xfig disappears, the viewport is gone from 
> the pager and scrolling does not work until I click on the pager once
> again. Here are a few things I tried:
> 
> Style "xfig" MaxWindowSize 100 100
> Style "xfig" StartsOnPage 3 0 0
> Style "xfig" ActivePlacementHonorsStartsOnPage
> Style "xfig" StartsOnPage 0 0, StartsOnPageIncludesTransients
         ^^^^

This doesn't match any but the main xfig window. Either use
'xfig*' to match names or the 'Fig' class.  You can display
the class and resource of a window with FvwmIdent.

> Style "xfig*" StartsOnDesk, StartsOnPage 1 0 0, StartsOnPageIncludesTransients, MaxWindowSize 100 100,
+ActivePlacementHonorsStartsOnPage
                ^^^^^^^^^^^^

This is a syntax error.  StarsOnDesk needs the desk as an argument.
Furthermore it's pointless to use StartsOnDesk and the override it 
with StartsonPage (with 3 args).  The whole line is ignored because
of the syntax error.

> Style "Xfig*" StartsOnDesk, StartsOnPage 1 0 0, StartsOnPageIncludesTransients, MaxWindowSize 100 100,
+ActivePlacementHonorsStartsOnPage
                ^^^^^^^^^^^^

dito.

This should do it:

  Style Fig MaxWindowSize 100 100, StartsOnPage 1 0 0, StartsOnPageIncludesTransients

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]